Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLError

`java.lang.Object
oracle.xml.xsql.XSQLError`

      public class XSQLError

extends java.lang.Object

Represents a fatal error in the XSQL page processing engine.

Method Summary
`java.lang.Integer` `getErrorCode()` Returns the XSQL error code
`java.lang.String` `getErrorXML()` Returns the XSQL error information formatted as a well-formed XML fragment.
`Document` `getErrorXMLDocument()` Returns the XSQL error information as a DOM Document
`java.lang.String` `getMessage()` Returns the text of the XSQL error that has occurred.
`java.lang.Object[]` `getSupplementalErrorInfo()` Returns an Object array of supplemental error information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the text of the XSQL error that has occurred.

### getSupplementalErrorInfo

    public java.lang.Object[] getSupplementalErrorInfo()

  Returns an Object array of supplemental error information.

### getErrorXML

    public java.lang.String getErrorXML()

  Returns the XSQL error information formatted as a well-formed XML fragment.

### getErrorXMLDocument

    public Document getErrorXMLDocument()

  Returns the XSQL error information as a DOM Document

### getErrorCode

    public java.lang.Integer getErrorCode()

  Returns the XSQL error code

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.